Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 25 Aug 2015 11:57:47 +0000
From:      bugzilla-noreply@freebsd.org
To:        freebsd-ports-bugs@FreeBSD.org
Subject:   [Bug 202652] Introduce a version support in USES=ninja
Message-ID:  <bug-202652-13@https.bugs.freebsd.org/bugzilla/>

Next in thread | Raw E-Mail | Index | Archive | Help
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=202652

            Bug ID: 202652
           Summary: Introduce a version support in USES=ninja
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
                OS: Any
            Status: New
          Severity: Affects Some People
          Priority: ---
         Component: Ports Framework
          Assignee: portmgr@FreeBSD.org
          Reporter: gblach@FreeBSD.org
                CC: freebsd-ports-bugs@FreeBSD.org
             Flags: exp-run?

Created attachment 160346
  --> https://bugs.freebsd.org/bugzilla/attachment.cgi?id=160346&action=edit
ninja.diff

Changes in attached patch:
- Add version support in USES=ninja
- Move devel/ninja16 to devel/ninja
- Add devel/ninja15 as subport
- Make some minor improves in devel/ninja
- Change USES=ninja to USES=ninja:15 in graphics/darktable

Now I need a full exp-run to see if there are more ports that need
USES=ninja:15 to build correctly. And also to verify that I don't broke
anything.

-- 
You are receiving this mail because:
You are on the CC list for the bug.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?bug-202652-13>